Public Member Functions

# CargoReservation Class Reference

Action of reserving cargo from a station to be loaded onto a vehicle. More...

`#include <cargoaction.h>`

Inheritance diagram for CargoReservation:

## Public Member Functions
| CargoReservation (StationCargoList *source, VehicleCargoList *destination, uint max_move, TileIndex load_place)
bool | operator() (CargoPacket *cp)
| Reserves some cargo for loading.

## Detailed Description

Action of reserving cargo from a station to be loaded onto a vehicle.

Definition at line 93 of file cargoaction.h.

## Member Function Documentation

bool CargoReservation::operator() | ( | CargoPacket * | cp | ) |

Reserves some cargo for loading.

Parameters:

  | cp | Packet to be reserved.

Returns:
  True if the packet was completely reserved, false if part of it was.

Reimplemented from CargoLoad.

Definition at line 134 of file cargoaction.cpp.

References VehicleCargoList::Append(), CargoPacket::Count(), CargoMovement< StationCargoList, VehicleCargoList >::destination, CargoLoad::load_place, CargoList< VehicleCargoList, CargoPacketList >::MTA_LOAD, CargoMovement< StationCargoList, VehicleCargoList >::Preprocess(), CargoList< Tinst, Tcont >::RemoveFromCache(), StationCargoList::reserved_count, CargoPacket::SetLoadPlace(), and CargoMovement< StationCargoList, VehicleCargoList >::source.

The documentation for this class was generated from the following files:

- src/cargoaction.h
- src/cargoaction.cpp